Cannot access HA via web interface

Hi folks!

Ok, I know this one pops from time to time, but I cannot find the posts here or on the internet (incl. other forums). Everything was working fine until it wasn’t. I cannot access my HA via the web browser.

The IP and port I was using is https:// 192.168.1.103:8124. Yes, I changed the port long time ago and it was working fine. But not anymore. I tried http and https, I tried port 8123 and port 8124. I tried http://homeassistant.local:8123/ and http://homeassistant.local:8124/

I pinged and everything is ok. I ssh’d into it and this is what I got. I don’t know what http://homeassistant.local:4357 is, but it works. It says

Supervisor:Connected

Supported:Supported

Healthy:Healthy

Screenshot 2022-08-27 at 19.22.49

Any other suggestion on making this work?

Thank you!

PS: Why is there no IP4 address for eth0? Running HA on a Raspberry Pi on ethernet.

As I said I managed to access HA via ssh. This is what I got when typing

ha core logs

2022-08-27 19:11:51.655 ERROR (SyncWorker_2) [homeassistant.components.influxdb] Cannot connect to InfluxDB due to ‘HTTPConnectionPool(host=‘a0d7b954-influxdb’, port=8086): Max retries exceeded with url: /write?db=ggs (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x5f7b1da8>: Failed to establish a new connection: [Errno 111] Connection refused’))‘. Please check that the provided connection details (host, port, etc.) are correct and that your InfluxDB server is running and accessible. Retrying in 60 seconds.
2022-08-27 19:12:13.606 ERROR (MainThread) [metno] Access to https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/2.0/complete returned error ‘ClientConnectorError’
2022-08-27 19:12:58.645 ERROR (MainThread) [metno] Access to https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/2.0/complete returned error ‘ClientConnectorError’
s6-rc: info: service s6rc-oneshot-runner: starting
s6-rc: info: service s6rc-oneshot-runner successfully started
s6-rc: info: service fix-attrs: starting
s6-rc: info: service fix-attrs successfully started
s6-rc: info: service legacy-cont-init: starting
s6-rc: info: service legacy-cont-init successfully started
s6-rc: info: service legacy-services: starting
services-up: info: copying legacy longrun home-assistant (no readiness notification)
s6-rc: info: service legacy-services successfully started
2022-08-27 19:51:59.134 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2022-08-27 19:51:59.194 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration nodered which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2022-08-27 19:51:59.326 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration opensprinkler which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2022-08-27 19:52:36.397 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //config/home-assistant_v2.db was shutdown cleanly
2022-08-27 19:52:38.914 WARNING (Recorder) [homeassistant.components.recorder.util] Ended unfinished session (id=287 from 2022-08-27 16:09:36.161656)
2022-08-27 19:52:49.383 WARNING (MainThread) [homeassistant.setup] Setup of hassio is taking over 10 seconds.
2022-08-27 19:52:52.478 WARNING (MainThread) [homeassistant.setup] Setup of bluetooth is taking over 10 seconds.
2022-08-27 19:53:33.459 ERROR (SyncWorker_3) [homeassistant.components.influxdb] Cannot connect to InfluxDB due to ‘HTTPConnectionPool(host=‘a0d7b954-influxdb’, port=8086): Max retries exceeded with url: /write?db=ggs (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x6644c3b8>: Failed to establish a new connection: [Errno 111] Connection refused’))'. Please check that the provided connection details (host, port, etc.) are correct and that your InfluxDB server is running and accessible. Retrying in 60 seconds.
2022-08-27 19:53:35.628 WARNING (MainThread) [homeassistant.components.template.sensor] The ‘entity_id’ option near /config/configuration.yaml:232 is deprecated, please remove it from your configuration
2022-08-27 19:53:35.674 WARNING (MainThread) [homeassistant.components.template.sensor] The ‘entity_id’ option near /config/configuration.yaml:236 is deprecated, please remove it from your configuration
2022-08-27 19:53:35.691 WARNING (MainThread) [homeassistant.components.template.config] The entity definition format under template: differs from the platform configuration format. See Template - Home Assistant
2022-08-27 19:53:35.709 WARNING (MainThread) [homeassistant.components.sensor] Setup of sensor platform darksky is taking over 10 seconds.
2022-08-27 19:53:35.752 WARNING (MainThread) [homeassistant.setup] Setup of input_button is taking over 10 seconds.
2022-08-27 19:53:35.760 WARNING (MainThread) [homeassistant.setup] Setup of input_select is taking over 10 seconds.
2022-08-27 19:53:35.762 WARNING (MainThread) [homeassistant.setup] Setup of input_number is taking over 10 seconds.
2022-08-27 19:53:35.770 WARNING (MainThread) [homeassistant.setup] Setup of input_boolean is taking over 10 seconds.
2022-08-27 19:53:35.774 WARNING (MainThread) [homeassistant.setup] Setup of input_datetime is taking over 10 seconds.
2022-08-27 19:54:02.851 WARNING (MainThread) [homeassistant.components.mqtt] The ‘broker’ option near /config/configuration.yaml:51 is deprecated, please remove it from your configuration
2022-08-27 19:54:02.856 WARNING (MainThread) [homeassistant.components.mqtt] The ‘password’ option near /config/configuration.yaml:51 is deprecated, please remove it from your configuration
2022-08-27 19:54:02.862 WARNING (MainThread) [homeassistant.components.mqtt] The ‘username’ option near /config/configuration.yaml:51 is deprecated, please remove it from your configuration
2022-08-27 19:54:02.936 WARNING (MainThread) [homeassistant.components.binary_sensor] Setup of binary_sensor platform template is taking over 10 seconds.
2022-08-27 19:54:02.941 WARNING (MainThread) [homeassistant.components.sensor] Setup of sensor platform template is taking over 10 seconds.
2022-08-27 19:54:03.564 WARNING (MainThread) [homeassistant.components.mqtt] Deprecated configuration settings found in configuration.yaml. These settings from your configuration entry will override: {‘username’: ‘homeassistant’, ‘password’: ‘********’}
2022-08-27 19:54:04.765 ERROR (MainThread) [metno] Access to https://aa015h6buqvih86i1.api.met.no/weatherapi/locationforecast/2.0/complete returned error ‘TimeoutError’
2022-08-27 19:54:04.795 WARNING (MainThread) [homeassistant.config_entries] Config entry ‘Home’ for met integration not ready yet: Update failed: ; Retrying in background
2022-08-27 19:54:04.833 ERROR (MainThread) [homeassistant.components.input_boolean] Platform input_boolean does not generate unique IDs. ID water_tank_automation already exists - ignoring input_boolean.water_tank_automation
2022-08-27 19:54:14.262 WARNING (MainThread) [aioesphomeapi.reconnect_logic] Can’t connect to ESPHome API for irrigation-node @ 192.168.1.104: Error connecting to (‘192.168.1.104’, 6053): [Errno 113] Connect call failed (‘192.168.1.104’, 6053)
2022-08-27 19:54:14.449 WARNING (MainThread) [homeassistant.helpers.frame] Detected code that uses str for device registry entry_type. This is deprecated and will stop working in Home Assistant 2022.3, it should be updated to use DeviceEntryType instead. Please report this issue.
Stack (most recent call last):
File “/usr/local/lib/python3.10/runpy.py”, line 196, in _run_module_as_main
return _run_code(code, main_globals, None,
File “/usr/local/lib/python3.10/runpy.py”, line 86, in _run_code
exec(code, run_globals)
File “/usr/src/homeassistant/homeassistant/main.py”, line 203, in
sys.exit(main())
File “/usr/src/homeassistant/homeassistant/main.py”, line 191, in main
exit_code = runner.run(runtime_conf)
File “/usr/src/homeassistant/homeassistant/runner.py”, line 119, in run
return loop.run_until_complete(setup_and_run_hass(runtime_config))
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 633, in run_until_complete
self.run_forever()
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 600, in run_forever
self._run_once()
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 1896, in _run_once
handle._run()
File “/usr/local/lib/python3.10/asyncio/events.py”, line 80, in _run
self._context.run(self._callback, *self._args)
File “/usr/src/homeassistant/homeassistant/helpers/entity_platform.py”, line 538, in _async_add_entity
device = device_registry.async_get_or_create(**processed_dev_info) # type: ignore[arg-type]
File “/usr/src/homeassistant/homeassistant/helpers/device_registry.py”, line 371, in async_get_or_create
report( # type: ignore[unreachable]
File “/usr/src/homeassistant/homeassistant/helpers/frame.py”, line 74, in report
_LOGGER.warning(msg, stack_info=True)
2022-08-27 19:54:14.552 ERROR (MainThread) [homeassistant.helpers.event] Error while processing template: Template(“{% if states(‘sensor.water_tank_distance’)| float > 0 %} {% set range = states(‘sensor.water_tank_distance’) | float %} {% set full = 0.05 | float %} {% set empty = 1.05 | float %} {{ ((empty - range) / (empty - full) * 100) | round(1) }} {%else%} {{states(‘sensor.water_tank_distance’)}} {% endif %}”)
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 1679, in forgiving_float_filter
return float(value)
ValueError: could not convert string to float: ‘unavailable’
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 421, in async_render
render_result = _render_with_context(self.template, compiled, **kwargs)
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 1906, in _render_with_context
return template.render(**kwargs)
File “/usr/local/lib/python3.10/site-packages/jinja2/environment.py”, line 1301, in render
self.environment.handle_exception()
File “/usr/local/lib/python3.10/site-packages/jinja2/environment.py”, line 936, in handle_exception
raise rewrite_traceback_stack(source=source)
File “”, line 1, in top-level template code
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 1682, in forgiving_float_filter
raise_no_default(“float”, value)
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 1395, in raise_no_default
raise ValueError(
ValueError: Template error: float got invalid input ‘unavailable’ when rendering template ‘{% if states(‘sensor.water_tank_distance’)| float > 0 %} {% set range = states(‘sensor.water_tank_distance’) | float %} {% set full = 0.05 | float %} {% set empty = 1.05 | float %} {{ ((empty - range) / (empty - full) * 100) | round(1) }} {%else%} {{states(‘sensor.water_tank_distance’)}} {% endif %}’ but no default was specified
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 537, in async_render_to_info
render_info._result = self.async_render(variables, strict=strict, **kwargs)
File “/usr/src/homeassistant/homeassistant/helpers/template.py”, line 423, in async_render
raise TemplateError(err) from err
homeassistant.exceptions.TemplateError: ValueError: Template error: float got invalid input ‘unavailable’ when rendering template ‘{% if states(‘sensor.water_tank_distance’)| float > 0 %} {% set range = states(‘sensor.water_tank_distance’) | float %} {% set full = 0.05 | float %} {% set empty = 1.05 | float %} {{ ((empty - range) / (empty - full) * 100) | round(1) }} {%else%} {{states(‘sensor.water_tank_distance’)}} {% endif %}’ but no default was specified
2022-08-27 19:54:14.602 ERROR (MainThread) [homeassistant.helpers.template_entity] TemplateError(‘ValueError: Template error: float got invalid input ‘unavailable’ when rendering template ‘{% if states(‘sensor.water_tank_distance’)| float > 0 %} {% set range = states(‘sensor.water_tank_distance’) | float %} {% set full = 0.05 | float %} {% set empty = 1.05 | float %} {{ ((empty - range) / (empty - full) * 100) | round(1) }} {%else%} {{states(‘sensor.water_tank_distance’)}} {% endif %}’ but no default was specified’) while processing template ‘Template(“{% if states(‘sensor.water_tank_distance’)| float > 0 %} {% set range = states(‘sensor.water_tank_distance’) | float %} {% set full = 0.05 | float %} {% set empty = 1.05 | float %} {{ ((empty - range) / (empty - full) * 100) | round(1) }} {%else%} {{states(‘sensor.water_tank_distance’)}} {% endif %}”)’ for attribute ‘_attr_native_value’ in entity ‘sensor.tank_percentage’
2022-08-27 19:54:25.685 ERROR (MainThread) [homeassistant.components.homeassistant_alerts] Timeout fetching homeassistant_alerts data
2022-08-27 19:54:35.015 ERROR (MainThread) [custom_components.hacs] Makin-Things/platinum-weather-card - Repostitory structure for 0.0.3 is not compliant

Any luck there? I have similar issue after the update

1 Like

No idea what I did. :smiley:

If everything fails, search on on how to backup your files (incl via ssh) and start from scratch.

Do you have anything on your browser when trying to connect?

Can you access thru the app or in some other way?
If so, take a look at ip_bans.yaml, maybe your computer is banned there.

I could see the observer through browser, no red flag there. Can’t access the UI through any device, able to access command prompt by Ctrl+Alt+F2 and root login.

Try your ip with http and then with https in front. Because this might have changed.

And are you able to access HA via ssh?

1 Like